@ECHO OFF

cls

rem Building architecture file

rem Compiling internal memory segment
asm21 inttable -2181
asm21 usb3000 -2181
if errorlevel==1 goto ERROR

rem Linking all in exe file
ld21 inttable usb3000  -a usb3000 -g -e usb3000 -l
if errorlevel==1 goto ERROR

rem Creating .rtd file
ExeToRtd usb3000
if errorlevel==1 goto ERROR

rem Copying file
rem copy usb3000.rtd ..\Dll\*.*

if exist *.cde del *.cde
if exist *.int del *.int
if exist *.bak del *.bak
if exist *.obj del *.obj
if exist usb3000.sym del usb3000.sym
if exist inttable.sym del inttable.sym
if exist usb3000.exe del usb3000.exe

ECHO -
ECHO #####################################################################
ECHO   	      S U C C E S S ! ! !  Файл USB3000.rtd сформирован
ECHO #####################################################################
ECHO -
goto END

:ERROR
ECHO -
ECHO #####################################################################
ECHO          E R R O R ! ! !  Ошибка формирования файла USB3000.rtd
ECHO #####################################################################
ECHO - 

:END
